<div class="col-lg-12 animated fadeInRight list-devices">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Approve Drivers</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-3">
                  <input [formControl]="driverField" type="text" placeholder="search for driver"
                    [matAutocomplete]="auto" class="form-control">
                  <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFnDriver">
                    <mat-option *ngFor="let driver of DriverList" [value]="driver">
                      {{ driver.username }}
                    </mat-option>
                    <mat-option *ngIf="DriverList.length == 0">No Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-3">
                  <input matInput placeholder="Select Vehicle" class="form-control custom-class-border"
                    name="vehicle_id" [formControl]="vehicleField" aria-label="Vehicle" [matAutocomplete]="Vehicles">
                  <mat-autocomplete #Vehicles="matAutocomplete" [displayWith]="displayFnVehicles">
                    <mat-option *ngFor="let vehicle of vehiclesListing" [value]="vehicle">
                      {{ vehicle.vehicle_identity_number }}
                    </mat-option>
                    <mat-option *ngIf="vehiclesListing == '' && vehiclesListing.length == 0">No
                      Matches Found</mat-option>
                  </mat-autocomplete>
                </div>
                <div class="col-sm-3">
                  <input name="type" [(ngModel)]="unique_driver_id" (keypress)="$event.keyCode==13?getDriverList():''"
                    class="form-control" placeholder="Search Reference ID" />
                </div>
                <div class="col-sm-3">
                  <input name="type" [(ngModel)]="filter_text" (keypress)="$event.keyCode==13?getDriverList():''"
                    class="form-control" placeholder="Search text" />
                </div>
              </div>
              <div class="fm-row">
                <div class="row">
                  <div class="col-sm-3">
                    <mat-select name="type" [(ngModel)]="onBoardStatus" class="form-control" multiple>
                      <mat-option value="0">Pending</mat-option>
                      <mat-option value="2">Moved to pending</mat-option>
                      <mat-option value="3">Approved</mat-option>
                      <mat-option value="4">Rejected</mat-option>
                    </mat-select>
                  </div>
                  <div class="col-sm-3">
                    <mat-select name="type" [(ngModel)]="filter" placeholder="Status" (change)="getDriverList()"
                      class="form-control" multiple>
                      <mat-option value="1" [disabled]="disableStatusSelect(1)">Driver not created</mat-option>
                      <mat-option value="2" [disabled]="disableStatusSelect(2)">Vehicle not created</mat-option>
                      <mat-option value="3" [disabled]="disableStatusSelect(3)">Training not completed</mat-option>
                      <mat-option value="4" [disabled]="disableStatusSelect(4)">Driver created</mat-option>
                      <mat-option value="5" [disabled]="disableStatusSelect(5)">Vehicle created</mat-option>
                      <mat-option value="6" [disabled]="disableStatusSelect(6)">Training completed</mat-option>
                      <mat-option value="7" [disabled]="disableStatusSelect(7)">Completed</mat-option>
                      <mat-option value="8" [disabled]="disableStatusSelect(8)">Profile Not Completed</mat-option>
                    </mat-select>
                  </div>
                  <div class="col-sm-3">
                    <mat-select [(ngModel)]="sort_by" placeholder="Sort By" class="form-control">
                      <mat-option value="created_at">Created at</mat-option>
                      <mat-option value="updated_at">Updated at</mat-option>
                    </mat-select>
                  </div>
                  <div class="col-sm-3">
                    <mat-select [(ngModel)]="sortOrder" placeholder="Sort order" class="form-control">
                      <mat-option value="asc">Ascending</mat-option>
                      <mat-option value="desc">Descending</mat-option>
                    </mat-select>
                  </div>
                </div>
                <div class="fm-row">
                  <div class="row">
                    <div class="col-sm-3" *ngIf="dtc">
                      <mat-select [(ngModel)]="companyIdFilter" placeholder="Company" class="form-control" multiple>
                        <mat-option value="all" (click)="selectAllCompany()">All</mat-option>
                        <mat-option *ngFor="let company of companyData" (click)="companyManualSelect()"
                          [value]="company._id">
                          {{company.company_name}}
                        </mat-option>
                      </mat-select>
                    </div>
                    <div class="text-right" [ngClass]="{'col-sm-12':!dtc,'col-sm-9':dtc}">
                      <button type="get" (click)="getDriverList();" class="btn btn-sm btn-primary blue">
                        <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                      <button class="btn btn-sm btn-primary green" (click)="getDriverList()">
                        <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                      <button class="btn btn-sm btn-primary red" (click)="getResetList()">
                        <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                    </div>
                  </div>
                </div>
                <div class="ibox-content">
                  <div class="table-responsive">
                    <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                      <thead>
                        <tr>
                          <th scope="col">Created Date</th>
                          <th scope="col">Updated Date</th>
                          <th scope="col">Reference ID</th>
                          <th scope="col">Driver Details(Name/<br />Phone/ Email)</th>
                          <th scope="col">Onboarding status</th>
                          <th scope="col">Action</th>
                          <th scope="col">Training status</th>
                        </tr>
                      </thead>
                      <tbody>
                        <span *ngIf="searchLoader">
                          <img class="loader-img" src="assets/img/loader.gif" alt="loader"/>
                        </span>
                        <tr *ngFor="let driver of driverData;let i=index"
                          [ngStyle]="{'background-color':driver.is_notified=='0'?'antiquewhite':'unset'}">
                          <ng-container>
                            <td>{{driver?.created_at | date: 'short' : 'GMT'}}</td>
                            <td>{{driver?.updated_at | date: 'short' : 'GMT'}}</td>
                            <td>{{driver.unique_id}}</td>
                            <td>{{driver?.first_name}} {{driver?.last_name}}<br />
                              {{driver.formatted_phone_number}}<br />
                              {{driver.email}}</td>
                            <td>
                              {{driver.onboarding_status == '0' || driver.onboarding_status == '1'? 'pending': driver.onboarding_status == '3' ? 'approved' : driver.onboarding_status == '2' ?'Moved to pending' : 'Rejected' }}
                            </td>
                            <td>
                              <div style="display: flex;">
                                <button [routerLink]="['/admin/fleet/ext-driver/approve',driver._id]"
                                  class="btn-sm btn-green"
                                  [ngClass]="{'blue':driver.is_notified=='0' || (driver.onboarding_status=='3' && driver.training_completed=='1')}">{{driver.is_notified=='0' || (driver.onboarding_status=='3' && driver.training_completed=='1')?'View':'Verify'}}</button>&nbsp;
                                <button class="btn-sm blue" [disabled]="submit"
                                  *ngIf="createDriver && driver.onboarding_status=='3' && !driver.driver_id"
                                  (click)="openDialog(driver,2,i)">
                                  Create driver
                                </button>&nbsp;
                                <button class="btn-sm blue" [disabled]="submit"
                                  *ngIf="createVehicle && driver.onboarding_status=='3' && !driver.vehicle_id"
                                  (click)="openDialog(driver,3,i)">
                                  Create vehicle
                                </button>
                                <button class="btn-sm" [disabled]="submit"
                                  *ngIf="createVehicle && driver.onboarding_status=='4'"
                                  (click)="openDialog(driver,4,i)">
                                  Create vehicle again
                                </button>
                              </div>
                              <span *ngIf='driver.invalid' class="error-msg">{{driver.invalid}}</span>
                              <span *ngIf='driver.success'>{{driver.success}}</span>
                            </td>
                            <td>
                              {{driver.training_completed=='1'?'Completed':driver.onboarding_status!='3'?'Pending approval':''}}
                              <button class="btn-sm blue" [disabled]="submit"
                                *ngIf="driver.training_completed!='1' && driver.onboarding_status=='3'"
                                (click)="openDialog(driver,1,i)">Approve</button><br>
                              <span *ngIf='driver.invalid' class="error-msg">{{driver.invalid2}}</span>
                            </td>
                          </ng-container>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <div class="container-fluid" *ngIf="listCount>0">
                    <div class="row col-md-12 text-center">
                      <div class="dataTables_info1">
                        <div *ngIf="del">
                          <ngb-pagination [collectionSize]="listCount" (pageChange)="pagingAgent($event)" [page]="pNo"
                            [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                          </ngb-pagination>
                        </div>
                        <div *ngIf="!del">
                          <ngb-pagination [collectionSize]="listCount" (pageChange)="pagingAgent($event)" [page]="pNo"
                            [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true">
                          </ngb-pagination>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="container-fluid" *ngIf="listCount==0">
                    <div class="row">
                      <div class="dataTables_info1">
                        <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                          No records found.
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>